function onCollide(dt, shape_a, shape_b, dx, dy)

	local colB

	-- PLAYER COLLISION

	if shape_a.type == "player" and shape_b.type == "box" then
		movement.yvel = 0
		movement.xvel = 0
		movement.y = movement.y + dy
        movement.x = movement.x + dx
        print(dx, dy)

        if dx == -0 and dy == -0 then
            movement.x = movement.x + 1
            movement.y = movement.y + 1
        end

	elseif shape_b.type == "player" and shape_a.type == "box" then
		movement.yvel = 0
		movement.xvel = 0
		movement.y = movement.y + -dy
        movement.x = movement.x + -dx
        print(dx, dy)

        if dx == 0 and dy == 0 then
            movement.x = movement.x + 1
            movement.y = movement.y + 1
        end
	end

	if shape_b.type == "player" and shape_a.type == "boundsSide" or shape_b.type == "player" and shape_a.type == "boundsTb" then
		movement.yvel = 0
		movement.xvel = 0
		movement.y = movement.y + -dy
        movement.x = movement.x + -dx
        print(dx, dy)

        if dx == 0 and dy == 0 then
            movement.x = movement.x + 1
            movement.y = movement.y + 1
        end

	elseif shape_a.type == "player" and shape_b.type == "boundsSide" or shape_a.type == "player" and shape_b.type == "boundsTb" then
		movement.yvel = 0
		movement.xvel = 0
		movement.y = movement.y + dy
        movement.x = movement.x + dx
        print(dx, dy)

        if dx == -0 and dy == -0 then
            movement.x = movement.x + 1
            movement.y = movement.y + 1
        end
    end


	-- AMMO POWERUP COLLISION

	if shape_a.type == "player" and shape_b.type == "ammoPowerup" then
		powerupVis = 1
		collider:remove(ammoPowerup)
		ammo.amount = ammo.amount + 25
	elseif shape_b.type == "player" and shape_a.type == "ammoPowerup" then
		powerupVis = 1
		collider:remove(ammoPowerup)
		ammo.amount = ammo.amount + 25
	end

	-- AMMO COLLISION

	if shape_a == player or shape_b == player then

	else
		for i,v in ipairs(ammo) do

			-- AMMO BOUNDS COLLISIONS

			if shape_b.type == "boundsTb" then
				if v.reverseTb == 1 and shape_a.type == v.id then
					v.x = v.x + dx
					v.y = v.y + dy
					v.reverseTb = 0
				elseif v.reverseTb == 0 and shape_a.type == v.id then
					v.x = v.x + dx
					v.y = v.y + dy
					v.reverseTb = 1
				end
			end
			if shape_a.type == "boundsTb" then
				if v.reverseTb == 1 and shape_b.type == v.id then
					v.x = v.x + -dx
					v.y = v.y + -dy
					v.reverseTb = 0
				elseif v.reverseTb == 0 and shape_b.type == v.id then
					v.x = v.x + -dx
					v.y = v.y + -dy
					v.reverseTb = 1
				end
			end

			if shape_b.type == "boundsSide" then
				if v.reverseSide == 1 and shape_a.type == v.id then
					v.x = v.x + dx
					v.y = v.y + dy
					v.reverseSide = 0
				elseif v.reverseSide == 0 and shape_a.type == v.id then
					v.x = v.x + dx
					v.y = v.y + dy
					v.reverseSide = 1
				end
			end

			if shape_a.type == "boundsSide" then
				if v.reverseSide == 1 and shape_b.type == v.id then
					v.x = v.x + -dx
					v.y = v.y + -dy
					v.reverseSide = 0
				elseif v.reverseSide == 0 and shape_b.type == v.id then
					v.x = v.x + -dx
					v.y = v.y + -dy
					v.reverseSide = 1
				end
			end
		

		-- AMMO BOX COLLISIONS

		end
	end
end